log syslog all;

router id X.X.X.X;

ipv4 table master4;

protocol device {
    scan time 15;
}

protocol kernel kernel4 {
    ipv4 {
        table master4;
        export all;
    };
    scan time 15;
}

protocol direct direct4 {
    ipv4 {
        table master4;
    };
    interface "*";
}

filter ipv4_export {
    if net = A.A.A.0/24 || net = B.B.B.0/24 then
        accept;
    reject;
}

protocol bgp ISP {
    description "ISP";
    local as 11111;
    neighbor 2.2.2.2 as 22222;
    source address 2.2.2.4;

    ipv4 {
        table master4;
        import all;
        export filter ipv4_export;
    };
}

protocol bgp IX_rs1 {
    description "IX.rs1";
    local as 11111;
    neighbor 3.3.3.3 as 33333;
    source address 3.3.3.4;

    ipv4 {
        table master4;
        import all;
        export filter ipv4_export;
    };
}

protocol bgp IX_rs2 {
    description "IX.rs2";
    local as 11111;
    neighbor 3.3.4.3 as 33333;
    source address 3.3.3.4;

    ipv4 {
        table master4;
        import all;
        export filter ipv4_export;
    };
}
